<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("../Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100077";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];

	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
	
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
		//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
		
////++++++++++++++ FIN CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////		
?>		
<!--<!DOCTYPE html>-->
<!--<html>-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width"/>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<link rel="shortcut icon" href="../SIMA_Resourses/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: Microsoft Sans Serif;
	font-size:12px;
	color:#333;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>
<link href="jquery-mobile/jquery.mobile-1.0.min.css" rel="stylesheet" type="text/css"/>
<style type="text/css">
body,td,th {
	font-size: 9px;
}
</style>
<script src="jquery-mobile/jquery-1.6.4.min.js" type="text/javascript"></script>
<script src="jquery-mobile/jquery.mobile-1.0.min.js" type="text/javascript"></script>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}

</script>

<!-- Termina Validador de Inactividad -->

</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()"> 
<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<div data-role="page" id="page">
<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
		
		/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
			
			//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
		
					///Arrastra Variables
		
		$Pallet=$_POST['txt_Pallet'] or $Pallet=$_GET['txt_Pallet'];
		
				//////Validar campos en blanco////////////
		if ($Pallet=="")
			{ ////Inicia If Cantidad a Dividir
			echo "<script>alert('Favor de digitar el Pallet.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=3-VisualizacionPallet.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NPALLET=$NPalletPG&IdBdKP=$IdBdPG'>";
			}
			else
			{ 
			
				//////Identificar si el Pallet Existe
			$sqlID1 = mysql_query("select * from tabla_inventario WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$Pallet'");
			if (mysql_numrows($sqlID1)==0) 
			{
				echo "<script>alert('El pallet  escaneado o digitado No Existe dentro del WMS\\nFavor de Corroborarlo.'); </script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=3-VisualizacionPallet.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NPALLET=$NPalletEn'";
			}		
		else
			{ 
		
////++++++++++++++ FIN CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>

	<div data-role="header">    
		<h1>|| LOGSYS - WMS ||</h1>
	</div>
  <div data-role="content" align="center">	
		<!-- Inicia Cuerpo de la Pantalla -->
		
      <form id="form1" name="form1" method="post" action="3-VisualizacionPallet3.php?txt_Pallet=<?PHP echo $Pallet; ?>">
        <table border="0" style="border-collapse: collapse" width="233">
  		<tr>
		  <td colspan="2" align="center"><font class="Clase_TipoLetra">Visualización por Pallet</font></td>
	      </tr>
		  <tr>
		   <?PHP
		//////Muestra Clientes Registrados
		
			$Cve_Reporte = "CREP201506100053";
			/////////Identificar configuracion: Paginación x Reporte
			$sqlC2 = mysql_query("select * from wms_configura_paginacionesxreporte where CVE_REPORTE='$Cve_Reporte'");
			if (mysql_numrows($sqlC2)==0) echo "";
			else{
			$registroC2=mysql_fetch_array($sqlC2);
			}
			if (mysql_numrows($sqlC2)>0)
			{
			$LomitC2=$registroC2["LIMITE_REGISTROS_SQL"];
			}
		
			///Identificar Paginación
				$DetPagSel=$_POST['Checked'] or $DetPagSel=$_GET['Checked'];
		
				if ($DetPagSel=="NO")
					{
						require_once("../Paginaciones/PHPPaging_10000Reg.lib.php");
						$ValChecked ="SI";						
					}
					else
					{
						require_once("../Paginaciones/PHPPaging_50Reg.lib.php");
						$VisEstInput = "checked='checked'"; 
						$ValChecked ="NO";
					}
		
		echo("<table cellspacing='0' border='0' style='color:$CFTi_Tabl;background-color:$Fond_Tabl; bordercolor=:$#FFFFFF; font-family:$FTit_Tabl;font-size:$TTit_Tabl;height:200 px;width:50%;rules='all'>");
		echo("<tr>");
?>
	  
		<td width="33">&nbsp;</td>
		     <td width="89">&nbsp;</td>
             <td width="10">&nbsp;</td>
             <td width="5">&nbsp;</td>
		     <td width="7">&nbsp;</td>
             <td width="5">&nbsp;</td>
	    <?pHP		
	    echo("</tr>");
		echo("<tr>");
	    echo("<td height='16' style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold' align='center'>Id</td>");
		echo("<td height='16' style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold' align='center'>Pallet</td>");
		echo("<td height='16' style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>&nbsp;&nbsp;&nbsp;&nbsp;Detalles</td>");
		
	    echo("</tr>");
		
		$ConteoWH = "0"; 
			
		/////////Inicia cuerpo SQL	
		$paging = new PHPPaging;
		$paging->linkEstructura("3-VisualizacionPallet.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&VPN=$VpnEn&LT=$LtEn&CtaSKP=$CtaSesionEn&paginas={n}");
		$paging->agregarConsulta("SELECT * FROM tabla_inventario where NO_PALLET='$Pallet' AND CVE_CUENTA='$CveCueCR1' ORDER BY ID ASC");
		$paging->ejecutar();  	
		while($f= $paging->fetchResultado()) 
		{
			////$IDC = $f[ID];
			$CCliC = $f[CVE_CLIENTE];
			$ConteoWH = $ConteoWH + 1;
			
			if($ConteoWH%2==0) 
				{ 
				$BgFondoFinal = $BgF1_Tabl; ///Color Primario
				} 
				else
				{
				$BgFondoFinal= $BgF2_Tabl; ///Color Secundario
				}
		
		echo("<tr>");
		echo("<td height='16' style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal'>$ConteoWH</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[NO_PALLET]</td>");
		echo("<td font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'><a href='3-VisualizacionPallet3.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_Pallet=$Pallet&Pallet=$f[NO_PALLET]' style='color:#848484'>--></a></td>");
			echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'><a href='3-VisualizacionPallet3.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Pallet=$f[NO_PALLET]' style='color:#848484'>Print</a></td>");
		echo("</tr>");
			}
			?>
	  
		<td width="5">&nbsp;</td>
		     <td width="7">&nbsp;</td>
             <td width="5">&nbsp;</td>
             <td width="5">&nbsp;</td>
		     <td width="7">&nbsp;</td>
             <td width="14">&nbsp;</td>
	    <?pHP
		echo("<tr>");	
		echo("<td height='16' colspan='3'style='font-size:10px;font-family:Verdana'>La Ubicación contiene: $ConteoWH Pallet</td>");
	    echo("<td colspan='6' align='center'>");
		echo("</td>");
		echo("</tr>");
		echo("</table>");
		echo("</div>");
		?>

<Br><Br><Br><Br>



	      </tr>
		  <tr>
		    <td width="33">&nbsp;</td>
		     <td width="89">&nbsp;</td>
             <td width="10">&nbsp;</td>
		  </tr>
		  <tr>
		    <td>&nbsp;</td>
		    <td>&nbsp;</td>
		           
	      </tr>
		  <tr>
		    <td>&nbsp;</td>
		    <td>&nbsp;</td>
		    <td></td>
		          
	      </tr>
		  <tr>
		    <td>&nbsp;</td>
		    <td>&nbsp;</td>
		    <td></td>
		            
	      </tr>
		  <tr>
		    <td>&nbsp;</td>
		    <td>&nbsp;</td>
		    
		    <td>          
	      </tr>
		  <tr>
		    <td>&nbsp;</td>
		    <td>&nbsp;</td>
		    <td></td>
		             
	      </tr>
		  <tr>
		    <td>&nbsp;</td>
		    <td>&nbsp;</td>
		    <td></td>
		             
	      </tr>
		  <tr>
		    <td>..</td>
		    <td><input type="button" value="Regresar" onclick=" window.location.href='<?PHP echo"3-VisualizacionPallet.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&EliBuf=SI";?>' " /></td>
		    <td></td></td>
		        
          </tr>



		  <tr>
		    <td colspan="2"><input type="hidden" name="UsuKP"
		value="<?PHP echo $UsuEn; ?>" />
              <input type="hidden" name="TokenKP"
		value="<?PHP echo $TokEn; ?>" />
              <input type="hidden" name="IdDAcce"
		value="<?PHP echo $IDSeEn; ?>" />
        	  <input type="hidden" name="CtaSKP"
		value="<?PHP echo $CtaSesionEn; ?>" />
              <input type="hidden" name="VPN"
		value="<?PHP echo $VpnEn; ?>" />
            <input type="hidden" name="LT"
		value="<?PHP echo $LtEn; ?>" />
        <input type="hidden" name="EliBuf"
		value="SI" /></td>
	      </tr>
		  <tr>
		   
            </td></td>
	      </tr>
		</table>
     
	</form>
      <!-- Termina Cuerpo de la Pantalla -->
  		
  </div>
	<div data-role="footer">
	  <h4><font size="2">www.logsyswms.com | Usuario: <?PHP echo $UsuEn; ?></font></h4>
  </div>
</div>
<!-- Termina Cuerpo de la Interfaz Gráfica -->

<?PHP
}
}
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>

</body>
</html>
